com.amazonaws.services.simpleworkflow.model

## Class RequestCancelWorkflowExecutionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.simpleworkflow.model.RequestCancelWorkflowExecutionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class RequestCancelWorkflowExecutionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`RequestCancelWorkflowExecutionRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestCancelWorkflowExecutionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getDomain()` The name of the domain containing the workflow execution to cancel.
`String` `getRunId()` The runId of the workflow execution to cancel.
`String` `getWorkflowId()` The workflowId of the workflow execution to cancel.
`int` `hashCode()`
`void` `setDomain(String domain)` The name of the domain containing the workflow execution to cancel.
`void` `setRunId(String runId)` The runId of the workflow execution to cancel.
`void` `setWorkflowId(String workflowId)` The workflowId of the workflow execution to cancel.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RequestCancelWorkflowExecutionRequest` `withDomain(String domain)` The name of the domain containing the workflow execution to cancel.
`RequestCancelWorkflowExecutionRequest` `withRunId(String runId)` The runId of the workflow execution to cancel.
`RequestCancelWorkflowExecutionRequest` `withWorkflowId(String workflowId)` The workflowId of the workflow execution to cancel.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestCancelWorkflowExecutionRequest

    public RequestCancelWorkflowExecutionRequest()

### Method Detail

#### setDomain

    public void setDomain(String domain)

The name of the domain containing the workflow execution to cancel.

Parameters:
  `domain` - The name of the domain containing the workflow execution to cancel.

#### getDomain

    public String getDomain()

The name of the domain containing the workflow execution to cancel.

Returns:
  The name of the domain containing the workflow execution to cancel.

#### withDomain

    public RequestCancelWorkflowExecutionRequest withDomain(String domain)

The name of the domain containing the workflow execution to cancel.

Parameters:
  `domain` - The name of the domain containing the workflow execution to cancel.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWorkflowId

    public void setWorkflowId(String workflowId)

The workflowId of the workflow execution to cancel.

Parameters:
  `workflowId` - The workflowId of the workflow execution to cancel.

#### getWorkflowId

    public String getWorkflowId()

The workflowId of the workflow execution to cancel.

Returns:
  The workflowId of the workflow execution to cancel.

#### withWorkflowId

    public RequestCancelWorkflowExecutionRequest withWorkflowId(String workflowId)

The workflowId of the workflow execution to cancel.

Parameters:
  `workflowId` - The workflowId of the workflow execution to cancel.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The runId of the workflow execution to cancel.

Parameters:
  `runId` - The runId of the workflow execution to cancel.

#### getRunId

    public String getRunId()

The runId of the workflow execution to cancel.

Returns:
  The runId of the workflow execution to cancel.

#### withRunId

    public RequestCancelWorkflowExecutionRequest withRunId(String runId)

The runId of the workflow execution to cancel.

Parameters:
  `runId` - The runId of the workflow execution to cancel.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RequestCancelWorkflowExecutionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`